Bug 837667 - tracker-miner-fs: Crash in tracker_file_notifier_init due to tracker_sparql_connection_get failure
tracker-miner-fs: Crash in tracker_file_notifier_init due to tracker_sparql_c...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:8ce392cb378a930b3f5bdcf4db6...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 12:18 EDT by Mikhail
Modified: 2016-06-15 17:09 EDT (History)
30 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-15 10:34:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.00 KB, text/plain)
2012-07-04 12:18 EDT, Mikhail
no flags Details
File: maps (15.47 KB, text/plain)
2012-07-04 12:18 EDT, Mikhail
no flags Details
File: dso_list (4.86 KB, text/plain)
2012-07-04 12:18 EDT, Mikhail
no flags Details
2nd backtrace (3.88 KB, application/octet-stream)
2012-07-20 20:23 EDT, Tom Livingston
no flags Details
Comment (87.66 KB, text/plain)
2012-07-20 20:23 EDT, Tom Livingston
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 756869 None None None Never

  None (edit)
Description Mikhail 2012-07-04 12:18:14 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: tracker_file_notifier_init
executable:     /usr/libexec/tracker-miner-fs
kernel:         3.4.4-3.fc17.i686.PAE
pid:            1319
pwd:            /home/mikhail
time:           Ср. 04 июля 2012 11:01:14
uid:            1000
username:       mikhail

backtrace:      Text file, 15359 bytes
dso_list:       Text file, 4976 bytes
maps:           Text file, 15845 bytes

build_ids:
:9aea670864d2a34a222fd110376f7946b702de7c
:619bb0058b81dce0068a14ff4e0cc06a3f6b50da
:fe5cb478475f1731df386be09bc4be60b90522f5
:20eaf26335aa318368a086ceb5466a50d135b9fd
:de9d7cbf664acdddd5f97fc560de561108ec67e7
:6e22146f98b3164a099b1d3549fd6bea1df6c16b
:c8c155acc515416efd9d0e407ec2667e30f58083
:a9580794bfc6165a1f9cbef59f20c90d46c59980
:903229353b4d4ccccd3d1a81e896bd7a3d214329
:c3f0ec3b8bc1f9e0c75939d81e1b06a0f422d5eb
:4f082a3397b7c9357171088bdceaa11c45192754
:277baba1bdcf0bddeaa08b12febefae76a16c8b7
:ae5c091840538c67ba05caf8d25a1794129355d4
:0a1a8bf5237a71d763d23520783335c8fe6c31dd
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:1bd8759bebef64391ac5c7d08cf7c047918f14d8
:f3540ce0e50f7e6f7b3bbc1b55bc850d7078cf25
:39f68629ed335b6af6a58da06697acfaa49f2c1c
:15beedcb299b506c9c6a09bdfed67a02095644a5
:d2f1de4778359e6aa9522bb4238bef11f5d32ed5
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:0207d5953b76482d89328efc6cad7188bc3f7c1a
:07f0f63338784efa3babec293dbc6f151a24daac
:757d0ed5f496fc377d8558caf8987cefa4679f96
:0cc6dfb37fa33a39b32a474c934995879f7bc561
:f844578b7653e450fdead70e172ab5a3b3a06977
:4766d96e19faf4e874c15cfb89feba118b91c6e6
:9812f285fa1a19c5ae8e9b9ee5bd907675599513
:c76a863c9a0ec34b770d2f3db56b184bd750d6c2
:17257b3507857139682030c98d2cbbe5eddc34c0
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be
:7a1576593c9a13323f6d2a0939b7fe551cce5a3f
:480227a7bca28f7b6f8a785f94d35274f692e9d0
:efe848735f9e72ebc1e7416affa658822bd93911
:f5bf47014d4d102aeb4757d40e6310f35dcb4bbf
:56daa92d571686554be873defadd538202804a3c
:31b94f9b447b74280d5f248dd2c756f8f5e25acc
:2c76cb4883f6704c6f0c53967d2a9b4ad383fb1f
:ba148f978034eebf97945bc788a04a9f513a0088
:bc998134806c187ae5af978d4d85c7e7d281bf3f
:857faf41f9264d5ca81d646253beb9fe6782f28d
:f8406d641f651029aeae72cd091ae655d4481c2e
:0db1085b6f5f26681999bf8762e7374bb8179395
:7f66f937834c656299cf39e94182ab9fed8be960
:3315dc1f02dea0ab28a3f5f08ce3f07c9e156291
:026e5149b856f0b8f509295fcb27b3b939850651
:f48ad284394152b21bb23d27734b77b4a2dcd7cf
:fb3cb1110ae7c912fab80775ba5475cefdde55a0
:2aa0a3c7fd741675fb8369e41ac0a688f804a29b
:c7112059d672dfb1b17ed4be88fa89f30b547841
:84ee6616038d7a623cc775f1cc3aba1a991288a9
:a7a9b4acb29d620c9dc7d6ee85517b66f17b6e9b
:5b5557b5b0427930b220a00961393e29809c42f0
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:4a18cece7105bb73a4f2c3ad540803eb237e7543
:be940cb76e903c99ca50727244ddf695561c2c6c
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721
:cbbb5c4f7aafbfef6a8298c1dda2e746929a4b82

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mikhail/2

core_backtrace:
:1b7a8044899df495e307686069c93efcf4dd9272 0x424 __kernel_vsyscall linux-gate.so.1 -
:0207d5953b76482d89328efc6cad7188bc3f7c1a 0x2e95f raise libc.so.6 -
:0207d5953b76482d89328efc6cad7188bc3f7c1a 0x302b3 abort libc.so.6 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x6a799 g_assertion_message libglib-2.0.so.0 -
:277baba1bdcf0bddeaa08b12febefae76a16c8b7 0x1e987 - libtracker-miner-0.14.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x2f797 g_type_create_instance libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x11d42 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x134ed g_object_newv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x13d2a g_object_new_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x13f80 g_object_new libgobject-2.0.so.0 -
:277baba1bdcf0bddeaa08b12febefae76a16c8b7 0x1ef7b tracker_file_notifier_new libtracker-miner-0.14.so.0 -
:277baba1bdcf0bddeaa08b12febefae76a16c8b7 0x1425e - libtracker-miner-0.14.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x2f746 g_type_create_instance libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x11d42 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x134ed g_object_newv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x13d2a g_object_new_valist libgobject-2.0.so.0 -
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be 0x515d2 g_initable_new_valist libgio-2.0.so.0 -
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be 0x5167c g_initable_new libgio-2.0.so.0 -
:6e22146f98b3164a099b1d3549fd6bea1df6c16b 0x11c29 tracker_miner_files_new [exe] -
:6e22146f98b3164a099b1d3549fd6bea1df6c16b 0x7a90 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=telecon17l.afbank.ru
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=928ad44a76a7008e0260558b00000016-1341377999.49925-872825317
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/mikhail/keyring-tSd94t
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=mikhail
:USERNAME=mikhail
:MAIL=/var/spool/mail/mikhail
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mikhail/.local/bin:/home/mikhail/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mikhail
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1074
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mikhail
:SHLVL=1
:LOGNAME=mikhail
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-x1S0mGE21f,guid=fb6179c94319e85d7830463800000030
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mikhail
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-mikhail-Nf1Tje/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1078,unix/unix:/tmp/.ICE-unix/1078
:GPG_AGENT_INFO=/run/user/mikhail/keyring-tSd94t/gpg:0:1
:SSH_AUTH_SOCK=/run/user/mikhail/keyring-tSd94t/ssh
:LC_TIME=ru_RU.utf8
:LC_NUMERIC=ru_RU.utf8
:LC_MONETARY=ru_RU.utf8
:LC_MEASUREMENT=ru_RU.utf8
:DESKTOP_AUTOSTART_ID=1072e409fd80e9a32134137800086140200000010780009

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23949                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23949                23949                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mikhail/.xsession-errors
:pos:	5605
:flags:	02002
:2:/home/mikhail/.xsession-errors
:pos:	5605
:flags:	02002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[21608]
:pos:	0
:flags:	02004002
:6:socket:[22615]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 24b82623-fdb0-487f-b726-0d6b01472500
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4787.89
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E4600  @ 2.40GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2400
:System Memory: 3010
:System Swap: 16382
:Vendor: Unknown
:System:  
:Form factor: Unknown
:Kernel: 3.4.4-3.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10672:32902:20298) pci, None, HOST/PCI, 82Q35 Express DRAM Controller
:(32902:10673:32902:20298) pci, pcieport, PCI/PCI, 82Q35 Express PCI Express Root Port
:(4523:24833:4523:24833) pci, pata_marvell, STORAGE, 88SE6101/6102 single-port PATA133 interface
:(32902:10544:32902:20298) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10530:32902:20298) pci, ahci, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller
:(32902:10516:32902:20298) pci, None, PCI/ISA, 82801IO (ICH9DO) LPC Interface Controller
:(32902:4285:32902:1) pci, e1000e, ETHERNET, 82566DM-2 Gigabit Network Connection
:(32902:9294:32902:20298) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10549:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:32902:10564) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:32902:10566) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:32902:10560) pci, pcieport, PCI/PCI, Optiplex 755
:(32902:10562:32902:10562) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10676:32902:20298) pci, None, SIMPLE, 82Q35 Express MEI Controller
:(32902:10568:32902:10568) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:32902:18) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43664:5963:43664) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:26457:5963:57747) pci, radeon, VIDEO, NI Turks [AMD Radeon HD 6500]
:(4545:22545:4545:22545) pci, firewire_ohci, FIREWIRE, FW322/323
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 5112289 2015119 1963926 1286144 963351 963351
:/dev/sda5 /home ext4 4096 4096 27764613 2402729 1012342 6955008 6854417 6854417
:

var_log_messages:
:Jul  3 17:45:55 telecon17l abrt[9395]: Saved core dump of pid 9154 (/usr/libexec/tracker-miner-fs) to /var/spool/abrt/ccpp-2012-07-03-17:45:54-9154 (18624512 bytes)
:Jul  4 11:01:15 telecon17l abrt[1755]: Saved core dump of pid 1319 (/usr/libexec/tracker-miner-fs) to /var/spool/abrt/ccpp-2012-07-04-11:01:14-1319 (18632704 bytes)
Comment 1 Mikhail 2012-07-04 12:18:20 EDT
Created attachment 596260 [details]
File: backtrace
Comment 2 Mikhail 2012-07-04 12:18:23 EDT
Created attachment 596261 [details]
File: maps
Comment 3 Mikhail 2012-07-04 12:18:26 EDT
Created attachment 596262 [details]
File: dso_list
Comment 4 Tom Livingston 2012-07-20 20:23:51 EDT
Created attachment 915477 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 5 Tom Livingston 2012-07-20 20:46:36 EDT
Sorry, meant to attach that last report to #842025 not here
Comment 6 ali 2012-08-30 01:58:58 EDT
Crash in startup

backtrace_rating: 4
Package: tracker-0.14.2-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Mehmet Akif Taşova 2012-09-10 15:33:47 EDT
gnome-shell crahed and restarted when i'm loging in

backtrace_rating: 4
Package: tracker-0.14.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Demian Lee 2012-10-05 04:38:32 EDT
after last upgrade today... crash repeated

i'm remove tracker(yum remove tracker)... 10 o'clock fly fine!


product: HuronRiver Platform (System SKUNumber)
vendor: LENOVO
version: Ideapad Z570

OS Release: Fedora release 17 (Beefy Miracle)
Linux 3.5.4-2.fc17.x86_64 #1 SMP Wed Sep 26 21:58:50 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
KDE 4.9.2
Comment 9 cookies.river 2012-11-27 00:43:40 EST
When I login

backtrace_rating: 4
Package: tracker-0.14.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Chris 2012-12-11 09:29:30 EST
installed updates from 11.12.2012 and rebooted , logged into gnome-shell as usually

backtrace_rating: 4
Package: tracker-0.14.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 dmitrii 2012-12-18 10:31:04 EST
I've tried to login into system

backtrace_rating: 4
Package: tracker-0.14.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 da8ar 2013-01-07 15:51:24 EST
Machine: ASUS K55V
CPU Intel Core I7-3610QM
GPU NVIDIA GEFORCE GT 630M

System: Fedora 17 - GNOME
NVIDIA Proprietary driver + Bumblebee
Dual boot EFI with Windows 7 (Partition 1 does not start on physical sector boundary)
Everything works correctly

After any kernel update, the first boot produces this error.
After shutdown (not reboot, which has problems with this machine), next boot works ok.


backtrace_rating: 4
Package: tracker-0.14.4-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Fedora End Of Life 2013-07-03 17:41:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-07-31 18:59:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Debarshi Ray 2016-06-15 10:34:25 EDT
This is now fixed in Fedora 22 onwards.

Note You need to log in before you can comment on or make changes to this bug.